gi-pango-1.0.23: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.GlyphVisAttr

Contents

- Exported types
- Methods
  - Overloaded methods
- Properties
  - isClusterStart

Description

The PangoGlyphVisAttr is used to communicate information between the shaping phase and the rendering phase. More attributes may be added in the future.

Synopsis

- newtype GlyphVisAttr = GlyphVisAttr (ManagedPtr GlyphVisAttr)
- newZeroGlyphVisAttr :: MonadIO m => m GlyphVisAttr
- getGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> m Word32
- setGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> Word32 -> m ()

# Exported types

newtype GlyphVisAttr Source #

Memory-managed wrapper type.

Constructors

GlyphVisAttr (ManagedPtr GlyphVisAttr) |

#### Instances

Instances details

Eq GlyphVisAttr Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods (==) :: GlyphVisAttr -> GlyphVisAttr -> Bool # (/=) :: GlyphVisAttr -> GlyphVisAttr -> Bool #
CallocPtr GlyphVisAttr Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods boxedPtrCalloc :: IO (Ptr GlyphVisAttr) Source #
BoxedPtr GlyphVisAttr Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods boxedPtrCopy :: GlyphVisAttr -> IO GlyphVisAttr Source # boxedPtrFree :: GlyphVisAttr -> IO () Source #
ManagedPtrNewtype GlyphVisAttr Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods toManagedPtr :: GlyphVisAttr -> ManagedPtr GlyphVisAttr Source #
tag ~ 'AttrSet => Constructible GlyphVisAttr tag Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods new :: MonadIO m => (ManagedPtr GlyphVisAttr -> GlyphVisAttr) -> [AttrOp GlyphVisAttr tag] -> m GlyphVisAttr Source #

newZeroGlyphVisAttr :: MonadIO m => m GlyphVisAttr Source #

Construct a `GlyphVisAttr` struct initialized to zero.

# Methods

## Overloaded methods

# Properties

## isClusterStart

set for the first logical glyph in each cluster. (Clusters are stored in visual order, within the cluster, glyphs are always ordered in logical order, since visual order is meaningless; that is, in Arabic text, accent glyphs follow the glyphs for the base character.)

getGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> m Word32 Source #

Get the value of the “`is_cluster_start`” field. When overloading is enabled, this is equivalent to

    get glyphVisAttr #isClusterStart

setGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> Word32 -> m () Source #

Set the value of the “`is_cluster_start`” field. When overloading is enabled, this is equivalent to

    set glyphVisAttr [ #isClusterStart := value ]